
CoCoALib - Feature #958

New function: multiplicity and dim

27 Oct 2016 16:34 - Anna Maria Bigatti

Status: Resolved Start date: 27 Oct 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 80%

Category: New Function Estimated time: 3.00 hours

Target version: CoCoALib-0.99880 Spent time: 2.50 hours

Description

multiplicity and dim are implemented in cocoa-5.

Bring them to cocoalib.

The names should be MultiplicityQuot(I) and DimQuot(I) [for multiplicity(P/I) and dim(P/I) respectively]

History

#1 - 27 Oct 2016 16:36 - Anna Maria Bigatti

- % Done changed from 0 to 80

Done. Still need documentation.

#2 - 27 Oct 2016 16:36 - Anna Maria Bigatti

- Estimated time set to 3.00 h

#3 - 02 Nov 2016 17:15 - John Abbott

- Description updated

#4 - 02 Nov 2016 17:17 - John Abbott

- Status changed from New to Resolved

Do you plan to add MultiplicityQuot and DimQuot to CoCoA-5?

If one computes dim(P/I), does that actually create a new quotient ring?

#5 - 02 Nov 2016 18:38 - Anna Maria Bigatti

John Abbott wrote:

Do you plan to add MultiplicityQuot and DimQuot to CoCoA-5?

If one computes dim(P/I), does that actually create a new quotient ring?

 

I added them to CoCoA-5 and they are used to compute dim(P/I).  (approx half time)

(They do not create a quotient ring)

#6 - 07 Nov 2016 17:53 - John Abbott
What exactly does multiplicity do?

I made the mistake of trying to compute multiplicity(I) instead of multiplicity(P/I); CoCoA-5 gave me an integer (not the one I expected) rather than

error.  Is this correct?

#7 - 02 Mar 2017 13:34 - Anna Maria Bigatti

John Abbott wrote:

What exactly does multiplicity do?

I made the mistake of trying to compute multiplicity(I) instead of multiplicity(P/I); CoCoA-5 gave me an integer (not the one I expected) rather

than error.  Is this correct?

 

Yes: multiplicity is defined for a module (not yet implemented in cocoalib), so also for an ideal.

#8 - 02 Mar 2017 13:51 - Anna Maria Bigatti

Still to do: non-homogenous input

#9 - 29 Mar 2017 16:49 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99550 spring 2017 to CoCoALib-0.99560

#10 - 08 Nov 2017 18:39 - John Abbott

Should this issue be postponed?

#11 - 09 Nov 2017 13:59 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#12 - 02 Aug 2018 16:43 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

Yet to be fixed: non homogeneous input.

(postponed)

#13 - 01 Oct 2019 12:09 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#14 - 13 Feb 2020 10:09 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

Yet to be fixed: non homogeneous input.

(postponed again)
#15 - 29 Jan 2021 11:52 - Anna Maria Bigatti

AnnaM think and close this!

#16 - 05 Feb 2022 20:19 - John Abbott

Postpone?

#17 - 07 Feb 2022 16:25 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

Anna Maria Bigatti wrote:

Yet to be fixed: non homogeneous input.

(postponed again)

 

and again

#18 - 08 Mar 2024 18:15 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
